import { ApiCall } from "tsrpc";
import { SignFun } from '../../public/sign';
import { ReqOpen, ResOpen } from "../../shared/protocols/sign/PtlOpen";
import { signType, ctype } from "../../shared/protocols/sign/type";

export default async function (call: ApiCall<ReqOpen, ResOpen>) {
    let mydata: {} = await SignFun.getInfo(call.uid, {ctype: ctype});
    
    let data = {
        mydata: mydata
    }
    call.succ(data);
}